nRF51 SDK: Data Fields

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- p_alert_msg_buf : ble_ans_alert_notification_t
- p_app_context : dm_event_param_t
- p_attr_md : ble_gatts_attr_t
- p_body_sensor_location : ble_hrs_init_t
- p_buf : app_fifo_t
- p_cccd_md : ble_gatts_char_md_t
- p_char_pf : ble_gatts_char_md_t
- p_char_user_desc : ble_gatts_char_md_t
- p_conn_params : ble_conn_params_init_t
- p_data : uint8_array_t , ble_dfu_pkt_write_t , ble_hids_rep_map_init_t , dm_context_t , ble_gatts_hvx_params_t , ble_gatts_read_authorize_params_t
- p_data_packet : dfu_update_packet_t
- p_device_context : dm_event_param_t
- p_enc_key : ble_gap_sec_keys_t
- p_ext_rep_ref : ble_hids_rep_map_init_t
- p_feature_rep_array : ble_hids_init_t
- p_gap_param : dm_event_param_t
- p_id_key : ble_gap_sec_keys_t
- p_included_services_array : ble_hids_init_t
- p_inp_rep_array : ble_hids_init_t
- p_len : ble_gatts_hvx_params_t
- p_list : ble_dis_reg_cert_data_list_t
- p_manuf_specific_data : ble_advdata_t
- p_mem : ble_user_mem_block_t
- p_message_buffer : ble_ans_c_s , ble_ans_c_init_t
- p_operand : ble_racp_value_t
- p_outp_rep_array : ble_hids_init_t
- p_pass_key : antfs_params_t
- p_peer_addr : ble_gap_adv_params_t
- p_pnp_id : ble_dis_init_t
- p_queue : antfs_event_queue_t
- p_reg_cert_data_list : ble_dis_init_t
- p_remote_friendly_name : antfs_params_t
- p_report_ref : ble_bas_init_t
- p_sccd_md : ble_gatts_char_md_t
- p_service_context : dm_event_param_t
- p_service_data_array : ble_advdata_t
- p_sign_key : ble_gap_sec_keys_t
- p_slave_conn_int : ble_advdata_t
- p_str : ble_srv_utf8_str_t
- p_sys_id : ble_dis_init_t
- p_tx_power_level : ble_advdata_t
- p_user_desc_md : ble_gatts_char_md_t
- p_uuid : ble_gatts_attr_t
- p_uuids : ble_advdata_uuid_list_t
- p_value : ble_gattc_write_params_t , ble_gattc_handle_value_t , ble_gatts_attr_t
- p_whitelist : ble_gap_scan_params_t , ble_gap_adv_params_t
- packet : hci_slip_evt_t
- packet_length : hci_slip_evt_t , dfu_update_packet_t
- packet_removed_from_tx_fifo : nrf_gzll_host_rx_info_t
- packet_type : dfu_update_packet_t
- param1 : antplus_event_return_t
- params : ble_gattc_evt_t , ble_gatts_rw_authorize_reply_params_t , ble_gatts_evt_t , ble_gattc_evt_t , ble_gap_evt_t , ble_l2cap_evt_t , ble_gattc_evt_t
- passkey : ble_gap_evt_passkey_display_t
- passkey_display : ble_gap_evt_t
- payload_received_in_ack : nrf_gzll_device_tx_info_t
- pedal_power : bp_page16_data_t
- peer_addr : ble_gap_evt_adv_report_t , ble_gap_evt_connected_t , ble_gap_evt_sec_info_request_t
- peer_params : ble_gap_evt_sec_params_request_t
- periph_kex : ble_gap_evt_auth_status_t
- periph_keys : ble_gap_evt_auth_status_t
- pin_csn : spi_slave_config_t
- pin_miso : spi_slave_config_t
- pin_mosi : spi_slave_config_t
- pin_no : app_button_cfg_t
- pin_sck : spi_slave_config_t
- pkt_rcpt_notif_req : ble_dfu_evt_t
- pp_addrs : ble_gap_whitelist_t
- pp_irks : ble_gap_whitelist_t
- prev_beat : hrm_page4_data_t
- prim_srvc_disc_rsp : ble_gattc_evt_t
- procedure_status : ble_sc_ctrlpt_s
- product_id : ble_dis_pnp_id_t
- product_version : ble_dis_pnp_id_t
- protocol_mode_handles : ble_hids_s
- pull_cfg : app_button_cfg_t
- pulse_rate : ble_bps_meas_s
- pulse_rate_present : ble_bps_meas_s